Skip to main content
`Ctrl`+`K`

# `rsciio.exceptions`

The list of exceptions raised by the RosettaSciIO plugins.

exception rsciio.exceptions.ByteOrderError(order='')

  Raised when the byte order is not recognized.

  Parameters:
    order `python:str`, optional

      The byte order that was expected. Defaults to an empty string.

exception rsciio.exceptions.DM3DataTypeError(value='')

  Raised when a DM3 data type is not recognized.

  Parameters:
    value `python:str`, optional

      The DM3 data type that was not recognized. Defaults to an empty string.

exception rsciio.exceptions.DM3FileVersionError(value='')

  Raised when the DM3 file version is not recognized.

  Parameters:
    value `python:str`, optional

      The DM3 file version that was not recognized. Defaults to an empty string.

exception rsciio.exceptions.DM3TagError(value='')

  Raised when a DM3 tag is not recognized.

  Parameters:
    value `python:str`, optional

      The DM3 tag that was not recognized. Defaults to an empty string.

exception rsciio.exceptions.DM3TagIDError(value='')

  Raised when a DM3 tag ID is not recognized.

  Parameters:
    value `python:str`, optional

      The DM3 tag ID that was not recognized. Defaults to an empty string.

exception rsciio.exceptions.DM3TagTypeError(value='')

  Raised when a DM3 tag type is not recognized.

  Parameters:
    value `python:str`, optional

      The DM3 tag type that was not recognized. Defaults to an empty string.

exception rsciio.exceptions.LazyCupyConversion

  Raised when trying to convert a lazy signal to cupy array.

exception rsciio.exceptions.MountainsMapFileError(msg='Corrupt Mountainsmap file')

  Raised when opening a MountainsMap file fails.

  Parameters:
    msg `python:str`, optional

      The error message to display. Defaults to “Corrupt Mountainsmap file”.

exception rsciio.exceptions.VisibleDeprecationWarning

  Visible deprecation warning. By default, python will not show deprecation warnings, so this class provides a visible one.